import { z } from 'zod';

export const AddReturnSuggestionItemSchema = z.object({
  returnId: z.number(),
  receiptId: z.number(),
  returnSuggestionId: z.number(),
  quantity: z.number().optional(),
  inStock: z.number(),
  impedimentComment: z.string().optional(),
  remainingQuantity: z.number().optional(),
});

export type AddReturnSuggestionItem = z.infer<
  typeof AddReturnSuggestionItemSchema
>;
